package cn.hmsoft.weixin.request;

import cn.hmsoft.weixin.entity.request.MenuConditionalDeleteRequestJson;
import cn.hmsoft.weixin.entity.response.WxResponseJson;

/*******************************
 * @note 创建个性化菜单
 * @author revisit@126.com
 * @Company: www.hmsoft.cn
 * @create 2017-05-09 00:40:05
 * @version 4.0.0
 */
public class MenuDeleteconditionalRequest
		extends AbstractRequest<WxResponseJson, WxResponseJson, MenuConditionalDeleteRequestJson> {

	private final static String url = "https://api.weixin.qq.com/cgi-bin/menu/delconditional?";

	/***************************
	 * 创建微信菜单
	 * 
	 * @param json 菜单
	 */
	public MenuDeleteconditionalRequest(int menu_id) {
		MenuConditionalDeleteRequestJson json = new MenuConditionalDeleteRequestJson();
		json.setMenuid(menu_id);
		this.requestEntity = json;
	}

	@Override
	protected String makeUrl() {
		this.method = "POST";
		return url + "access_token=" + this.wxDefine.getApp_accesstoken();
	}

}
